/*
 * Gaussian.c
 *
 *  Created on: Aug 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#include <math.h>

#include "InvTypes.h"

static Float Gaussian_Mean = 0.0;
static Float Gaussian_Variance = 1.0;

/**
 * Use newGaussian to change the mean and variance from the default, standard normal.
 * @param mean
 * @param variance
 */
void newGaussian(Float mean, Float variance) {
	Gaussian_Mean = mean;
	Gaussian_Variance = variance;
}

/**
 *
 */
Float Gaussian(Float x, Float y) {
	Float e;

	e = - ((x-Gaussian_Mean)*(x-Gaussian_Mean) + (y-Gaussian_Mean)*(y-Gaussian_Mean))/ (2.0 * Gaussian_Variance * Gaussian_Variance);
	e = exp(e);
	return e;

}

Float GaussianConstant() {
	Float C;

	// The constant C is taken so that the spatial integral of the target function is unity
	C = 1.0 / (sqrt(2.0 * M_PI * Gaussian_Variance * Gaussian_Variance));
	return C;
}
