/*
 * Target.h
 *
 *  Created on: Aug 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef TARGET_H_
#define TARGET_H_

#include "utilities.h"
#include "MapDepthMatrix.h"
#include "BaseDirectory.h"
#include "FileMapAndParameters.h"

void newTarget(MATRIX f, int N, int Ny, int Nz, BaseDirectory *baseDir, bool debug,
		bool useFourierTransform);

void resetTarget(Float sigmah, int sigmaStep);

void resetTargetLSQR(Float sigmah, int sigmaStep);

bool checkTargetDim(MATRIX *f, int Nz);

MAP_DEPTH_MATRIX *getTarget();

void readTarget(TargetInfo targetInfo, int N, int Ny, int Nz, Float sigmaCurrentValue,
 Float sigmaCurrentStep, BaseDirectory *baseDir, bool debug,
 bool useFourierTransform);

void freeTarget();

#endif /* TARGET_H_ */
