/*
 * main.c
 *
 *  Created on: Aug 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#include <string.h>
#include <math.h>
#include "utilities.h"
#include "Constants.h"
#include "errorHandler.h"
#include "coramfVersion.h"
#include "parserVersion.h"
#include "inversionVersion.h"
#include "obaseVersion.h"
#include "Inversion.h"
#include "OLAInit.h"
#include "OLAInvert.h"
#include "ParameterLoop.h"
#include "ProblemDimension.h"

/**
 * \page InvTypesPage Inversions
 * <B> Subtractive optimally localized averaging inversion (SOLA) </B>
 *
 * @see <a href="../OLAnotes.pdf">Equations and specifics</a>
 * @see OLAMain.c
 * @see OLAInversion
 *
 *
 */

/**
 * Performs OLA inversions on 2D, 3D scalar and 3D vector data.
 * @param[in] inputParms InputParms structure which contains input file names, directories, and
 * parameters for the inversion.
 * @param[in] commandLineOutputDir Character string to override the output base
 * directory specified in the input file.  This parameter is used to create successive
 * versions of the output base directory.
 * @param[in] debug Boolean flag signaling the output of intermediate matrix values.
 * @returns 0 for success and 1 for error.
 */
